Package org.eclipse.birt.report.model.api.oda.interfaces

# Interface IBirtAggregationConstants

public interface IBirtAggregationConstants

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AGGREGATION_FUNCTION_AVERAGE`
`static final int`
`AGGREGATION_FUNCTION_COUNT`
`static final int`
`AGGREGATION_FUNCTION_COUNTDISTINCT`
`static final int`
`AGGREGATION_FUNCTION_FIRST`
`static final int`
`AGGREGATION_FUNCTION_IRR`
`static final int`
`AGGREGATION_FUNCTION_IS_BOTTOM_N`
`static final int`
`AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT`
`static final int`
`AGGREGATION_FUNCTION_IS_TOP_N`
`static final int`
`AGGREGATION_FUNCTION_IS_TOP_N_PERCENT`
`static final int`
`AGGREGATION_FUNCTION_LAST`
`static final int`
`AGGREGATION_FUNCTION_MAX`
`static final int`
`AGGREGATION_FUNCTION_MEDIAN`
`static final int`
`AGGREGATION_FUNCTION_MIN`
`static final int`
`AGGREGATION_FUNCTION_MIRR`
`static final int`
`AGGREGATION_FUNCTION_MODE`
`static final int`
`AGGREGATION_FUNCTION_MOVINGAVE`
`static final int`
`AGGREGATION_FUNCTION_NPV`
`static final int`
`AGGREGATION_FUNCTION_PERCENT_RANK`
`static final int`
`AGGREGATION_FUNCTION_PERCENT_SUM`
`static final int`
`AGGREGATION_FUNCTION_PERCENTILE`
`static final int`
`AGGREGATION_FUNCTION_RANK`
`static final int`
`AGGREGATION_FUNCTION_RUNNINGCOUNT`
`static final int`
`AGGREGATION_FUNCTION_RUNNINGNPV`
`static final int`
`AGGREGATION_FUNCTION_RUNNINGSUM`
`static final int`
`AGGREGATION_FUNCTION_STDDEV`
`static final int`
`AGGREGATION_FUNCTION_SUM`
`static final int`
`AGGREGATION_FUNCTION_TOP_QUARTILE`
`static final int`
`AGGREGATION_FUNCTION_VARIANCE`
`static final int`
`AGGREGATION_FUNCTION_WEIGHTEDAVG`

## Field Details

### AGGREGATION_FUNCTION_AVERAGE

static final int AGGREGATION_FUNCTION_AVERAGE

### AGGREGATION_FUNCTION_SUM

static final int AGGREGATION_FUNCTION_SUM

### AGGREGATION_FUNCTION_COUNT

static final int AGGREGATION_FUNCTION_COUNT

### AGGREGATION_FUNCTION_COUNTDISTINCT

static final int AGGREGATION_FUNCTION_COUNTDISTINCT

### AGGREGATION_FUNCTION_FIRST

static final int AGGREGATION_FUNCTION_FIRST

### AGGREGATION_FUNCTION_IRR

static final int AGGREGATION_FUNCTION_IRR

### AGGREGATION_FUNCTION_IS_BOTTOM_N

static final int AGGREGATION_FUNCTION_IS_BOTTOM_N

### AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT

static final int AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT

### AGGREGATION_FUNCTION_IS_TOP_N

static final int AGGREGATION_FUNCTION_IS_TOP_N

### AGGREGATION_FUNCTION_IS_TOP_N_PERCENT

static final int AGGREGATION_FUNCTION_IS_TOP_N_PERCENT

### AGGREGATION_FUNCTION_LAST

static final int AGGREGATION_FUNCTION_LAST

### AGGREGATION_FUNCTION_MAX

static final int AGGREGATION_FUNCTION_MAX

### AGGREGATION_FUNCTION_MEDIAN

static final int AGGREGATION_FUNCTION_MEDIAN

### AGGREGATION_FUNCTION_MIN

static final int AGGREGATION_FUNCTION_MIN

### AGGREGATION_FUNCTION_MIRR

static final int AGGREGATION_FUNCTION_MIRR

### AGGREGATION_FUNCTION_MODE

static final int AGGREGATION_FUNCTION_MODE

### AGGREGATION_FUNCTION_MOVINGAVE

static final int AGGREGATION_FUNCTION_MOVINGAVE

### AGGREGATION_FUNCTION_NPV

static final int AGGREGATION_FUNCTION_NPV

### AGGREGATION_FUNCTION_PERCENT_RANK

static final int AGGREGATION_FUNCTION_PERCENT_RANK

### AGGREGATION_FUNCTION_PERCENT_SUM

static final int AGGREGATION_FUNCTION_PERCENT_SUM

### AGGREGATION_FUNCTION_PERCENTILE

static final int AGGREGATION_FUNCTION_PERCENTILE

### AGGREGATION_FUNCTION_RANK

static final int AGGREGATION_FUNCTION_RANK

### AGGREGATION_FUNCTION_RUNNINGCOUNT

static final int AGGREGATION_FUNCTION_RUNNINGCOUNT

### AGGREGATION_FUNCTION_RUNNINGNPV

static final int AGGREGATION_FUNCTION_RUNNINGNPV

### AGGREGATION_FUNCTION_RUNNINGSUM

static final int AGGREGATION_FUNCTION_RUNNINGSUM

### AGGREGATION_FUNCTION_STDDEV

static final int AGGREGATION_FUNCTION_STDDEV

### AGGREGATION_FUNCTION_TOP_QUARTILE

static final int AGGREGATION_FUNCTION_TOP_QUARTILE

### AGGREGATION_FUNCTION_VARIANCE

static final int AGGREGATION_FUNCTION_VARIANCE

### AGGREGATION_FUNCTION_WEIGHTEDAVG

static final int AGGREGATION_FUNCTION_WEIGHTEDAVG